# Generated by Django 4.0.3 on 2022-04-28 12:43

import wagtail.blocks
import wagtail.contrib.table_block.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0060_districthomepage_title_suffix"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtarticlepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "bold",
                                "italic",
                                "ol",
                                "embed",
                                "ul",
                                "link",
                                "document-link",
                                "image",
                            ],
                            label="Textový editor",
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ],
                            label="Galerie",
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "poster_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                        label="Náhled videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Článek",
            ),
        ),
        migrations.AlterField(
            model_name="districtcenterpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    ("text", wagtail.blocks.RichTextBlock()),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            template="shared/blocks/table_block.html"
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
        migrations.AlterField(
            model_name="districtcustompage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    ("text", wagtail.blocks.RichTextBlock()),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            template="shared/blocks/table_block.html"
                        ),
                    ),
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "group_title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Osoba",
                                            page_type=[
                                                "district.DistrictPersonPage",
                                            ],
                                        ),
                                        label="List osob",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
    ]
