# Generated by Django 4.1.10 on 2024-01-08 12:25

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models

import shared.models.legacy


class Migration(migrations.Migration):
    dependencies = [
        ("calendar_utils", "0004_auto_20220505_1228"),
        ("wagtailcore", "0083_workflowcontenttype"),
        ("wagtailimages", "0025_alter_image_file_alter_rendition_file"),
        ("elections", "0002_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="ElectionsFaqPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "calendar_url",
                    models.URLField(
                        blank=True,
                        help_text="Kalendář se po uložení stránky aktualizuje na pozadí. U plnějších kalendářů to může trvat i desítky sekund.",
                        null=True,
                        verbose_name="URL kalendáře ve formátu iCal",
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "person_answers",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "topic",
                                            wagtail.blocks.CharBlock(
                                                help_text="Např. 'téma Markéty Gregorové'",
                                                label="Téma",
                                            ),
                                        ),
                                        (
                                            "person",
                                            wagtail.blocks.PageChooserBlock(
                                                label="Stránka kandidáta",
                                                page_type=[
                                                    "elections.ElectionsCandidatePage"
                                                ],
                                            ),
                                        ),
                                        (
                                            "image",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                help_text="Pokud není vybrán, použije se obrázek ze stránky kandidáta",
                                                label="Obrázek",
                                                required=False,
                                            ),
                                        ),
                                        (
                                            "questions",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "question",
                                                            wagtail.blocks.CharBlock(
                                                                label="Otázka"
                                                            ),
                                                        ),
                                                        (
                                                            "answer",
                                                            wagtail.blocks.TextBlock(
                                                                label="Odpověď"
                                                            ),
                                                        ),
                                                    ],
                                                    label="Odpověď",
                                                ),
                                                label="Otázky",
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        use_json_field=True,
                        verbose_name="Obsah",
                    ),
                ),
                (
                    "calendar",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="calendar_utils.calendar",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=(
                shared.models.main.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
