# Generated by Django 5.0.6 on 2024-06-18 11:44

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
from django.db import migrations, models

import shared.blocks


class Migration(migrations.Migration):
    dependencies = [
        ("uniweb", "0066_alter_uniwebflexiblepage_content_and_more"),
        ("wagtailcore", "0093_uploadedfile"),
    ]

    operations = [
        migrations.AddField(
            model_name="uniwebhomepage",
            name="footer_other_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "other_links",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Titulek")),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        shared.blocks.LinkBlock,
                                        label="Seznam odkazů",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Odkazy v zápatí webu",
            ),
        ),
        migrations.AddField(
            model_name="uniwebhomepage",
            name="footer_person_list",
            field=wagtail.fields.StreamField(
                [], blank=True, verbose_name="Osoby v zápatí webu"
            ),
        ),
        migrations.AddField(
            model_name="uniwebhomepage",
            name="important_item_name",
            field=models.CharField(
                blank=True,
                help_text="Pokud není odkazovaná stránka na Majáku, použij možnost zadání samotné adresy níže.",
                max_length=16,
                null=True,
                verbose_name="Jméno",
            ),
        ),
        migrations.AddField(
            model_name="uniwebhomepage",
            name="important_item_page",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="wagtailcore.page",
                verbose_name="Stránka",
            ),
        ),
        migrations.AddField(
            model_name="uniwebhomepage",
            name="important_item_url",
            field=models.URLField(blank=True, null=True, verbose_name="Adresa"),
        ),
        migrations.AddField(
            model_name="uniwebhomepage",
            name="menu",
            field=wagtail.fields.StreamField(
                [
                    (
                        "menu_item",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Pokud není odkazovaná stránka na Majáku, použij možnost zadání samotné adresy níže.",
                                        label="Titulek",
                                        required=True,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "menu_parent",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "menu_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Pokud není odkazovaná stránka na Majáku, použij možnost zadání samotné adresy níže.",
                                                        label="Titulek",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Položky menu",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Položky",
            ),
        ),
        migrations.AddField(
            model_name="uniwebhomepage",
            name="menu_button_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "navbar_menu_item",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "button_link",
                                    wagtail.blocks.URLBlock(label="Odkaz tlačítka"),
                                ),
                                (
                                    "button_text",
                                    wagtail.blocks.CharBlock(label="Text tlačítka"),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Obsah menu pro zapojení se",
            ),
        ),
        migrations.AddField(
            model_name="uniwebhomepage",
            name="menu_button_name",
            field=models.CharField(
                blank=True,
                max_length=16,
                null=True,
                verbose_name="Text na tlačítku pro zapojení",
            ),
        ),
        migrations.AddField(
            model_name="uniwebhomepage",
            name="social_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "social_links",
                        wagtail.blocks.StructBlock(
                            [
                                ("text", wagtail.blocks.CharBlock(label="Název")),
                                ("link", wagtail.blocks.URLBlock(label="Odkaz")),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Seznam ikon - https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons <br/>Název ikony zadejte bez tečky na začátku",
                                        label="Ikona",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Odkazy na sociální sítě",
            ),
        ),
    ]
